Package org.apache.cxf.common.util

# Class ClassHelper

java.lang.Object
org.apache.cxf.common.util.ClassHelper

public class ClassHelper extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `USE_DEFAULT_CLASS_HELPER`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ClassHelper()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Class<?>`
  `getRealClass(Object o)`
  `static Class<?>`
  `getRealClass(Bus bus, Object o)`
  `static Class<?>`
  `getRealClassFromClass(Class<?> cls)`
  `static Class<?>`
  `getRealClassFromClass(Bus bus, Class<?> cls)`
  `static Object`
  `getRealObject(Object o)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### USE_DEFAULT_CLASS_HELPER

    public static final String USE_DEFAULT_CLASS_HELPER
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ClassHelper

    protected ClassHelper()

- ## Method Details

  - ### getRealClass

    public static Class<?> getRealClass(Object o)

  - ### getRealClassFromClass

    public static Class<?> getRealClassFromClass(Class<?> cls)

  - ### getRealClassFromClass

    public static Class<?> getRealClassFromClass(Bus bus, Class<?> cls)

  - ### getRealObject

    public static Object getRealObject(Object o)

  - ### getRealClass

    public static Class<?> getRealClass(Bus bus, Object o)